- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# infini_export_client – Create, Delete or Modify NFS Client(s) for existing exports on Infinibox

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- This module creates, deletes or modifys NFS client(s) for existing exports on Infinibox.

## Requirements

The below requirements are needed on the host that executes this module.

- infinisdk
- munch
- python >= 2.7

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
access_mode - | Choices: RW ← RO | Read Write or Read Only Access.
client - / required |  | Client IP or Range. Ranges can be defined as follows 192.168.0.1-192.168.0.254. aliases: name
export - / required |  | Name of the export.
no_root_squash boolean | Choices: no ← yes | Don't squash root user to anonymous. Will be set to "no" on creation if not specified explicitly.
password string |  | Infinibox User password.
state - | Choices: present ← absent | Creates/Modifies client when present and removes when absent.
system string / required |  | Infinibox Hostname or IPv4 Address.
user - |  | Infinibox User username with sufficient priveledges ( see notes ).

## Notes

Note

- This module requires infinisdk python library
- You must set INFINIBOX_USER and INFINIBOX_PASSWORD environment variables if user and password arguments are not passed to the module directly
- Ansible uses the infinisdk configuration file `~/.infinidat/infinisdk.ini` if no credentials are provided. See http://infinisdk.readthedocs.io/en/latest/getting_started.html

## Examples

    - name: Make sure nfs client 10.0.0.1 is configured for export. Allow root access
      infini_export_client:
        client: 10.0.0.1
        access_mode: RW
        no_root_squash: yes
        export: /data
        user: admin
        password: secret
        system: ibox001

    - name: Add multiple clients with RO access. Squash root privileges
      infini_export_client:
        client: "{{ item }}"
        access_mode: RO
        no_root_squash: no
        export: /data
        user: admin
        password: secret
        system: ibox001
      with_items:
        - 10.0.0.2
        - 10.0.0.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Gregory Shulov (@GR360RY)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.